%define name w3m
%define version 0.1.6
%define release 2mdk

Summary: text based web browser that supports tables and frames
Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/WWW
Source0: %{name}-%{version}.tar.bz2
Patch0: w3m-path.patch.bz2
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: Open Source
Url: http://ei5nazha.yz.yamagata-u.ac.jp/~aito/w3m/eng/index.html
Requires: perl

%description
w3m is a pager with WWW capability. It IS a pager, but it can be
used as a text-mode WWW browser.

     The features of w3m are as follows:

* When reading HTML document, you can follow links and view images
  (using external image viewer).
* It has 'internet message mode', which determines the type of document
  from header. If the Content-Type: field of the document is text/html,
  that document is displayed as HTML document.
* You can change URL description like 'http://hogege.net' in plain text
  into link to that URL.

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-2mdk
- fix group
- fix permission on spec

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-1mdk
- 0.1.6.
- clean up specs.

* Tue Dec 14 1999 Pixel <pixel@mandrakesoft.com>
- clean up and mandrake adaptation

%prep
%setup -n %{name}
%patch0 -p1

%build

host=`hostname`
cat <<EOF > config.param
# Configuretion at $host
def_bindir='/usr/bin'
def_libdir='/usr/lib/w3m'
def_helpdir='1'
pref_lang=1
def_dcode=E
lynx_key=y
kanji_symbols=y
use_color=y
use_menu=y
use_mouse=y
use_cookie=y
use_ssl=n
dmodel=4
ded='/usr/bin/vi'
dmail='/bin/mail'
dbrowser='/usr/bin/netscape'
dcc='gcc'
dcflags='$RPM_OPT_FLAGS'
dtermlib='-lncurses'
dldflags=''
EOF

./configure -yes
make

%install
rm -rf $RPM_BUILD_ROOT
PREFIX=${RPM_BUILD_ROOT}/usr
mkdir -p ${PREFIX}/lib/w3m
mkdir -p ${PREFIX}/man/{man1,ja_JP.ujis/man1}
make BIN_DIR=${PREFIX}/bin HELP_DIR=${PREFIX}/lib/w3m LIB_DIR=${PREFIX}/lib/w3m install
cp doc-jp/w3m.1 ${PREFIX}/man/ja_JP.ujis/man1
cp doc/w3m.1 ${PREFIX}/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/%{name}
/usr/lib/%{name}
/usr/man/*/*/*
%doc README  doc/*
%doc doc-jp/* w3mhelp-lynx_* 
